﻿@using NacGroup.Infrastructure.Shared
@using System
@using System.Globalization
@using NacGroup.Module.Core.Models
@using NacGroup.Module.Core.Services
@using NacGroup.Module.Order.Models.Schema
@model Newtonsoft.Json.Linq.JObject
@inject IGettingGlobalConfigService GettingGlobalConfigService
@{
    var globalConfig = GettingGlobalConfigService.GetConfiguration();
    var orderInfomation = Model["OrderModel"].ToObject<Order>();
}

<table width="100%" height="100%" bgcolor="#E4E6E9" cellspacing="0" cellpadding="0" border="0"
       style="font-family: Arial, Helvetica, sans-serif">
    <tbody>
        <tr>
            <td>
                <table width="700" cellspacing="0" cellpadding="0" border="0" align="center">
                    <tbody>
                        <tr>
                            <td>
                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10" border="0" style="width:100%">
                                    <tbody>
                                        <tr>
                                            <td align="center" style="background:#fff">
                                                <img height="64" src="@(Model["WebsiteUrl"])@(Model["WebsiteLogo"])" class="CToWUd" />
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#d9edf7" width="100%" cellspacing="0" cellpadding="10" border="0" style="width:100%">
                                    <tbody>
                                        <tr>
                                            <td style="color:#31708f;font-size:14px">
                                                <b style="text-transform: uppercase;">Order Summary #@(orderInfomation.OrderNumber)</b> <span style="color:gray;font-size:12px">(@(orderInfomation.CreatedDate.ToString("F", CultureInfo.CreateSpecificCulture("en-US"))))</span>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10" border="0" style="width:100%">
                                    <tbody>
                                        <tr>
                                            <td width="100%">
                                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10"
                                                       border="0" style="font-size:13px">
                                                    <thead style="padding: 6px 9px;color: #fff;text-transform: uppercase; font-family: Arial,Helvetica,sans-serif;font-size: 12px;line-height: 14px;">
                                                        <tr>
                                                            <th align="left" bgcolor="#02acea" style="border-bottom:1px dotted #ddd;padding:10px 9px">
                                                                SẢN PHẨM
                                                            </th>
                                                            <th align="center" bgcolor="#02acea" style="border-bottom:1px dotted #ddd;padding:10px 9px">
                                                                SỐ LƯỢNG
                                                            </th>
                                                            <th align="center" bgcolor="#02acea" style="border-bottom:1px dotted #ddd;padding:10px 9px">
                                                                ĐƠN GIÁ
                                                            </th>
                                                            <th align="right" bgcolor="#02acea" style="border-bottom:1px dotted #ddd;padding:10px 9px">
                                                                THÀNH TIỀN
                                                            </th>
                                                        </tr>
                                                    </thead>
                                                    <tbody align="center">
                                                        @foreach (var item in orderInfomation.OrderItems)
                                                        {
                                                            <tr>
                                                                <td align="left">
                                                                    #@(item.SkuCode) - @(item.Name)
                                                                </td>
                                                                <td align="center">
                                                                    @(item.Quantity)
                                                                </td>
                                                                <td align="center">
                                                                    @(item.Price.ToCurrency((int)globalConfig.Currency))
                                                                </td>
                                                                <td align="right">
                                                                    <b>@((item.Price * item.Quantity).ToCurrency((int)globalConfig.Currency))</b>
                                                                </td>
                                                            </tr>
                                                        }

                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>

                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#eee" width="100%" cellpadding="10" cellspacing="0" border="0" style="width:100%">
                                    <tbody>
                                        <tr>
                                            <td width="40%" style="width:40%">
                                                &nbsp;
                                            </td>
                                            <td width="60%" style="width:60%">
                                                <table bgcolor="#eee" width="100%" cellpadding="10" cellspacing="0" border="0" style="width:100%">
                                                    <tbody>
                                                        <tr>
                                                            <td align="right" style="font-size:14px">
                                                                Tạm tính
                                                            </td>
                                                            <td align="right" style="font-size:14px">
                                                                @orderInfomation.SubTotalAmount.ToCurrency((int)globalConfig.Currency)
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td align="right" style="font-size:14px">
                                                                Phí vận chuyển
                                                            </td>
                                                            <td align="right" style="font-size:14px">
                                                                @orderInfomation.ShippingAmount.ToCurrency((int)globalConfig.Currency)
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td align="right" style="font-size:14px">
                                                                Giảm giá
                                                            </td>
                                                            <td align="right" style="font-size:14px">
                                                                @orderInfomation.DiscountAmount.ToCurrency((int)globalConfig.Currency)
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td align="right" style="font-size:14px">
                                                                Thuế VAT
                                                            </td>
                                                            <td align="right" style="font-size:14px">
                                                                @orderInfomation.TotalTax.ToCurrency((int)globalConfig.Currency)
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <td align="right" style="font-size:15px;font-weight:bold">
                                                                Thành tiền
                                                            </td>
                                                            <td align="right" style="font-size:15px;font-weight:bold">
                                                                @orderInfomation.TotalAmount.ToCurrency((int)globalConfig.Currency)
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#d9edf7" width="100%" cellspacing="0" cellpadding="10" border="0" style="width:100%">
                                    <tbody>
                                        <tr width="100%">
                                            <td style="color:#31708f;font-size:14px;width:50%" width="50%">
                                                <b>Thông tin người gửi</b>
                                            </td>
                                            <td style="color:#31708f;font-size:14px;width:50%" width="50%">
                                                &nbsp;
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10" border="0" style="width:100%">

                                    <tbody>
                                        <tr>
                                            <td width="70%" style="width:70%">
                                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10"
                                                       border="0" style="font-size:13px">
                                                    <tbody width="100%">
                                                        <tr width="100%">
                                                            <td>
                                                                @orderInfomation.FirstName @orderInfomation.LastName
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @($"{orderInfomation.Street}, {orderInfomation.Ward}, {orderInfomation.District} {orderInfomation.City} ")
                                                            </td>
                                                        </tr>
                                                        <tr width="100%">
                                                            <td>
                                                                VN
                                                            </td>
                                                        </tr>
                                                        <tr width="100%">
                                                            <td>
                                                                @(orderInfomation.CustomerPhone != null ? orderInfomation.CustomerPhone.ToPhoneFormat() : "")
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                            <td width="30%" style="width:30%">
                                                &nbsp;
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#d9edf7" width="100%" cellspacing="0" cellpadding="10" border="0" style="width:100%">

                                    <tbody>
                                        <tr>
                                            <td style="color:#31708f;font-size:14px;width:50%" width="50%">
                                                <b>Thông tin thanh toán</b>
                                            </td>
                                            <td style="width:50%" width="50%">
                                                &nbsp;
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                        <tr>
                            <td>
                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10" border="0" style="width:100%">
                                    <tbody>
                                        <tr>
                                            <td width="65%">
                                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="3"
                                                       border="0" style="font-size:13px">
                                                    <tbody>
                                                        <tr>
                                                            <td>
                                                                @orderInfomation.FirstName @orderInfomation.LastName
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @orderInfomation.CustomerEmail
                                                            </td>
                                                        </tr>
                                                        <tr>
                                                            <td>
                                                                @(orderInfomation.CustomerPhone != null ? orderInfomation.CustomerPhone.ToPhoneFormat() : "")
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                            <td width="35%">
                                                <table bgcolor="#ebe2df" width="100%" cellspacing="0" cellpadding="10"
                                                       border="0">
                                                    <tbody>
                                                        <tr>
                                                            <td>
                                                                <table width="100%" cellspacing="0" cellpadding="5"
                                                                       border="0">
                                                                    <tbody>
                                                                        <tr>
                                                                            <td style="font-size:14px">
                                                                                Phương thức thanh toán
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="font-size:14px">
                                                                                Loại thanh toán:
                                                                                <b>
                                                                                    <span class="il">@(orderInfomation.PaymentMethod == 0 ? "COD" : "Credit Card")</span>
                                                                                </b>
                                                                            </td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td style="font-size:14px">
                                                                                Thành tiền:
                                                                                <b>@orderInfomation.TotalAmount.ToCurrency((int)globalConfig.Currency)</b>
                                                                            </td>
                                                                        </tr>
                                                                    </tbody>
                                                                </table>
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>

                        <tr>
                            <td>
                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="10" border="0">
                                    <tbody>
                                        <tr>
                                            <td style="border-top:1px dotted #ddd">
                                                <table bgcolor="#FFFFFF" width="100%" cellspacing="0" cellpadding="5"
                                                       border="0">
                                                    <tbody>
                                                        <tr>
                                                            <td colspan="2" align="center" style="font-size:9px">
                                                                ĐIỀU KHOẢN & ĐIỀU KIỆN:<br />
                                                                <span style="color:#ff0000">

                                                                </span>
                                                            </td>
                                                        </tr>

                                                        <tr>
                                                            <td colspan="2" align="center" style="font-size:9px">
                                                                Cảm ơn bạn đã đặt hàng!<br />
                                                                Copyright © 2019 @(Model["WebsiteName"].ToString()). All Rights
                                                                Reserved.
                                                            </td>
                                                        </tr>
                                                    </tbody>
                                                </table>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </td>
        </tr>
    </tbody>
</table>